Toto je starší verze. Nejnovější verze je 0.9.37. vx 0.9.37 · Datum vydání:
Instalační soubory 0.6.24
| Architektura | Typ | Pro koho | Velikost souboru | Stáhnout | SHA256 |
|---|---|---|---|---|---|
| 64bit | ZIP → Přenosná verze | — | — | github.com | VirusTotal |
| ARM64 | ZIP → Přenosná verze | — | — | github.com | VirusTotal |
Odkaz a SHA256 pocházejí z komunitního manifestu Windows Package Manageru. Před spuštěním porovnejte hash staženého souboru.
Seznam změn
0.6.24 (2026-02-01)
Features
- env: add default inherit_system_vars for all providers (c4e453a)
- providers: add inherit_system_vars to additional providers (de3488c)
- resolver: implement RFC 0026 unified runtime provider relationships (3c3a96b)
- shim: implement RFC 0027 implicit package execution with auto-install (9e3fa3a)
Bug Fixes
- change default isolate to false for child process access to system tools (0b5bba0)
- filter system PATH to include only essential directories in isolated mode (60663c0)
- inherit_system_vars now properly passes all system vars to child processes (a144bee)
- resolve clippy warnings and improve API design (0d9b9bf)
- split PATH string before passing to join_paths (893658e)
- use string comparison instead of Path::new in filter_system_path (3254d35)
Code Refactoring
- centralize cross-platform path utilities in vx-paths::platform (6c676a6)
Documentation
- add RFC 0027 implicit package execution documentation (44f9671)
- add vx global command documentation (RFC 0025) (c2d63f8)
- update global and implicit-package-execution documentation (1496cee)